Skip to main content
GET
/
polymarket
/
markets
Get Markets
curl --request GET \
  --url https://api.domeapi.io/v1/polymarket/markets
{
  "markets": [
    {
      "market_slug": "btc-updown-15m-1762516800",
      "event_slug": "presidential-election-winner-2028",
      "condition_id": "0x6876ac2b6174778c973c118aac287c49057c4d5360f896729209fe985a2c07fb",
      "title": "Bitcoin Up or Down - November 7, 7:00AM-7:15AM ET",
      "start_time": 1762506140,
      "end_time": 1762517700,
      "completed_time": null,
      "close_time": null,
      "game_start_time": "2025-08-16 20:00:00.000",
      "tags": [
        "Up or Down",
        "Crypto Prices",
        "Hide From New",
        "Recurring",
        "Crypto",
        "Bitcoin",
        "15M"
      ],
      "volume_1_week": 0,
      "volume_1_month": 0,
      "volume_1_year": 0,
      "volume_total": 93.148228,
      "resolution_source": "https://data.chain.link/streams/btc-usd",
      "image": "https://polymarket-upload.s3.us-east-2.amazonaws.com/BTC+fullsize.png",
      "description": "This market resolves to \"Yes\" if Bitcoin's price increases from the start to the end of the 15-minute window, and \"No\" otherwise.",
      "negative_risk_id": null,
      "side_a": {
        "id": "14557944883400223565643640243919774851380876937588843424705199812983475639104",
        "label": "Up"
      },
      "side_b": {
        "id": "57567439101367774829602299916701968079591032322820664013819223989961583069589",
        "label": "Down"
      },
      "winning_side": null,
      "status": "open",
      "extra_fields": {
        "price_to_beat": 98765.43,
        "final_price": 98801.21
      }
    }
  ],
  "pagination": {
    "limit": 20,
    "total": 150,
    "has_more": true,
    "pagination_key": "eyJ2b2x1bWVfdG90YWwiOjEyMzQ1LjY3LCJjbG9zZV90aW1lIjpudWxsLCJjb25kaXRpb25faWQiOiIweDEyMzQifQ=="
  }
}

Query Parameters

market_slug
string[]

Filter markets by market slug(s). Can provide multiple values.

Example:
["bitcoin-up-or-down-july-25-8pm-et"]
event_slug
string[]

Filter markets by event slug(s). Can provide multiple values.

Example:
["presidential-election-winner-2028"]
condition_id
string[]

Filter markets by condition ID(s). Can provide multiple values.

Example:
[
"0x4567b275e6b667a6217f5cb4f06a797d3a1eaf1d0281fb5bc8c75e2046ae7e57"
]
token_id
string[]

Filter markets by token ID(s). Matches markets where the token_id is either the primary_token_id or secondary_token_id. Can provide multiple values (maximum 100). Each token_id must be a numeric string.

Maximum array length: 100
Pattern: ^[0-9]+$
Example:
[
"24891147099018724959141647991382271578149113344000019968758330059825991230807"
]
tags
string[]

Filter markets by tag(s). Can provide multiple values.

Example:
["politics", "crypto"]

Search markets by keywords in title and description. Must be URL encoded (e.g., 'bitcoin%20price' for 'bitcoin price').

Example:

"bitcoin"

status
enum<string>

Filter markets by status (whether they're open or closed)

Available options:
open,
closed
Example:

"open"

min_volume
number

Filter markets with total trading volume greater than or equal to this amount (USD)

Example:

100000

limit
integer
default:10

Number of markets to return (1-100). Default: 10 for search, 10 for regular queries.

Required range: 1 <= x <= 100
Example:

20

pagination_key
string

Base64-encoded cursor for efficient pagination. Returned in the previous response's pagination object. Use this instead of large offsets for better performance.

Example:

"eyJzdGFydF9kYXRlIjoiMjAyNi0wMS0xOVQxMjowMDowMC4wMDBaIiwiY29uZGl0aW9uX2lkIjoiMHgxMjM0In0="

start_time
integer

Filter markets from this Unix timestamp in seconds (inclusive)

Example:

1640995200

end_time
integer

Filter markets until this Unix timestamp in seconds (inclusive)

Example:

1672531200

Response

Markets response with pagination

markets
object[]
pagination
object